Create EHR
Create a new EHR with an auto-generated identifier.
An EHR_STATUS resource needs to be always created and committed in the new EHR. This resource MAY be also supplied by the client as the request body. If not supplied, a default EHR_STATUS will be used by the service with following attributes:
is_queryable: trueis_modifiable: truesubject: a PARTY_SELF object
All other required EHR attributes and resources will be automatically created as needed by the EHR creation semantics.
- Type: stringenumPrefer
Request header to indicate the preference over response details. The response will contain the entire resource when the
Preferheader has a value ofreturn=representation.values- return=representation
- return=minimal
An EHR_STATUS resource MAY be also supplied by the client as the request body.
An EHR_STATUS resource
- Type: stringarchetype
_node _id required - Type: booleanis
_modifiable required - Type: booleanis
_queryable required - namerequired
- _typeDiscriminatorenumconst:DV_TEXTrequiredvalues
- D
V _ T E X T
- valueType: stringrequired
- encodingType: object · CODE_PHRASE
- formattingType: string
- hyperlink
- languageType: object · CODE_PHRASE
- mappingsType: array object[] ·
- subjectrequired
- _typeDiscriminatorenumconst:PARTY_SELFrequiredvalues
- P
A R T Y _ S E L F
- externalType: object · PARTY_REF
_ref Identifier for parties in a demographic or identity service.
- Type: string_type
- Type: object · ARCHETYPEDarchetype
_details - Type: object · FEEDER_AUDITfeeder
_audit - Type: array object[] ·links
- other
_details - _typeDiscriminatorType: string
- archetypeType: string
_node _id required - itemType: object · ELEMENTrequired
- namerequired
- archetypeType: object · ARCHETYPED
_details - feederType: object · FEEDER_AUDIT
_audit - linksType: array object[] ·
- uid
- application/json
- 400
400 Bad Requestis returned when the request URL or body (if provided) could not be parsed or has invalid content. - 409
409 ConflictUnable to create a new EHR due to a conflict with an already existing EHR with the same subject id, namespace pair, whenever EHR_STATUS is supplied.
curl https://cataniamc.prod.cadasto.com/openehr/v1/ehr \
--request POST \
--header 'Prefer: return=minimal' \
--header 'Content-Type: application/json' \
--data '{
"archetype_node_id": "openEHR-EHR-EHR_STATUS.generic.v1",
"name": {
"value": "EHR status"
},
"subject": {
"_type": "PARTY_SELF"
},
"is_queryable": true,
"is_modifiable": true
}'
{
"system_id": {
"value": "9624982A-9F42-41A5-9318-AE13D5F5031F"
},
"ehr_id": {
"value": "7d44b88c-4199-4bad-97dc-d78268e01398"
},
"ehr_status": {
"id": {
"_type": "OBJECT_VERSION_ID",
"value": "8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1"
},
"namespace": "local",
"type": "EHR_STATUS"
},
"ehr_access": {
"id": {
"_type": "OBJECT_VERSION_ID",
"value": "59a8d0ac-140e-4feb-b2d6-af99f8e68af8::cataniamc.prod.cadasto.com::1"
},
"namespace": "local",
"type": "EHR_ACCESS"
},
"time_created": {
"value": "2015-01-20T19:30:22.765+01:00"
}
}